#!trdir
Start: 00:00:00

# Sample schedule with automatic computation
# of arrival and departure times.

# TEST1: plain computation
#  B has old specification of arrival and departure times
#  C has arrival 180 sec after departure from B, and departure 30 sec after arrival
#  D has arrival 120 sec after dep. from C, 90 sec of minimum stop, and departure 60 seconds after arrival
#  E has exit 180 sec after departure from D

Train: TEST1
Enter: 00:01, A
	00:03, 00:04, B
        +180, +30, C
	+120+90, +60, D
	+180, -, E
.


# TEST2: computation from entry point
#  B has arrival 120 seconds after entering the layout

Train: TEST2
Enter: 00:20, A
	+120, +60, B
        +180, +30, C
	+120+90, +60, D
	+180, -, E
.


# TEST3: test computed transit ad final arrival times
#  B has transit 120 seconds after entering the layout
#  C has final arrival 120 seconds after transiting from B

Train: TEST3
Enter: 00:50, A
	-, +120, B
        +120, -, C
Stock: TEST4
.


# TEST4: test minimum waiting after assignment and random delayed departure
#  Departure from C is the latest of 00:52 or arrival of TEST3 at B plus 120 seconds + 300 seconds of random delay (50% probability)

Train: TEST4
Wait: TEST3 120
Enter: 00:52!300/50, C
	+120, +60, D
	+120, -, E
.

# TEST4: test random delay applied to computed entry point from .pth file
#  Train enters 2 minutes before 01:10 from A (see .pth file) plus 180 seconds of random delay (60% probability)

Train: TEST5
Enter: 01:00!180/60, Alfa
	01:10, +30, B
	+180, +30, C
	+120, +30, D
	+150, -, E
